Name: H5Tget_strpad
Signature:
  H5T_str_t `H5Tget_strpad`(hid_t `type_id` )
Purpose:
  Retrieves the storage mechanism for a string datatype.
Description:
  `H5Tget_strpad` retrieves the storage mechanism for a string datatype, as defined in `H5Tset_strpad`.
Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns a valid string storage mechanism if successful; otherwise `H5T_STR_ERROR` (-1).
Fortran90 Interface: h5tget_strpad_f

      SUBROUTINE h5tget_strpad_f(type_id, strpad, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id
                                        ! Datatype identifier
        INTEGER, INTENT(OUT) :: strpad  ! String padding method for a string datatype
                                        ! Possible values of padding type are:
                                        !    Pad with zeros (as C does):
                                        !        H5T_STR_NULLPAD_F(0)
                                        !    Pad with spaces (as FORTRAN does):
                                        !        H5T_STR_SPACEPAD_F(1)
        INTEGER, INTENT(OUT) :: hdferr  ! Error code
      END SUBROUTINE h5tget_strpad_f